### Method

# EDataBook BookBackend dup_view_sort_fields

since: 3.50

#### Declaration [src]

    EBookClientViewSortFields*
    e_book_backend_dup_view_sort_fields (
      EBookBackend* backend,
      gsize view_id
    )

#### Description [src]

Returns currently used sort fields for manual query views. The returned array is NULL only if the view could not be found. The default sort is by the file-as filed in ascending order.

The array is terminated by an item with an `E_CONTACT_FIELD_LAST` field.

Free the returned array with e_book_client_view_sort_fields_free(), when no longer needed.

Note: This function should be used only with `E_BOOK_CLIENT_VIEW_FLAGS_MANUAL_QUERY` views.

Available since: 3.50

#### Parameters

`view_id`

  Type: `gsize`

  A view identifier.

#### Return value

Type: `EBookClientViewSortFields`

Current sort fields for the `view_id`, as an `EBookClientViewSortFields` array, or `NULL`, when the view could not be found.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.